Subject: Re: [PATCH] Close config file handle if the entry to unset is not found

From: Sven Strickroth <[email-masked]>
Date: Fri, 14 Aug 2015 21:38:02 +0200

Am 14.08.2015 um 21:35 schrieb Eric Sunshine:
>> Signed-off-by: Sup Yut Sum <[email-masked]>
>> Signed-off-by: Sven Strickroth <[email-masked]>
>> ---
>> diff --git a/config.c b/config.c
>> index 9fd275f..89b49e3 100644
>> --- a/config.c
>> +++ b/config.c
>> @@ -2048,6 +2048,7 @@ int git_config_set_multivar_in_file(const char *config_filename,
>>                 if ((store.seen == 0 && value == NULL) ||
>>                                 (store.seen > 1 && multi_replace == 0)) {
>>                         ret = CONFIG_NOTHING_SET;
>> +                       close(in_fd);
>>                         goto out_free;
> 
> From a cursory read of the code, it appears that there are several
> other places where the open 'in_fd' gets leaked which would deserve
> the same treatment. So, it's not clear why this patch handles only
> this one case. Am I missing something?

Good point.

I suppose only this place was adjusted, becasue this is the only case
which occurred so far.

Shall I re-create another patch?

-- 
Best regards,
 Sven Strickroth
 PGP key id F5A9D4C4 @ any key-server